Name:           hcxtools
Version:        6.2.7
Release:        1%{?dist}
Summary:        Portable solution for conversion WiFi dump files to hashcat formats

License:        MIT
URL:            https://github.com/ZerBea/hcxtools
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc >= 11
BuildRequires:  make

BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Small set of tools convert packets from captures (h = hash, c = capture,
convert and calculate candidates, x = different hashtypes) for the use with
latest hashcat or John the Ripper. The tools are 100% compatible to hashcat
and John the Ripper and recommended by hashcat. This branch is pretty closely
synced to hashcat git and John the Ripper git.

Support of hashcat hash-modes: 4800, 5500, 2200x, 16100, 250x (deprecated),
1680x (deprecated)

Support of John the Ripper hash-modes: WPAPSK-PMK, PBKDF2-HMAC-SHA1, chap,
netntlm, tacacs-plus

Support of gzip (.gz) single file compression.

Main purpose is to detect weak points within own WiFi networks by analyzing
the hashes. Therefore convert the dump file to WPA-PBKDF2-PMKID+EAPOL hash
file and check if wlan-key or plainmasterkey was transmitted unencrypted. Or
upload the "uncleaned" dump file (pcapng, pcap, cap) here
https://wpa-sec.stanev.org/?submit to find out if your ap or the client is
vulnerable by using common wordlists or a weak password generation algorithm.


%prep
%autosetup


%build
%set_build_flags
%make_build


%install
%make_install

# Install man page
install -Dpm 0644 man/%{name}.1 -t %{buildroot}%{_mandir}/man1/


%files
%license license.txt
%doc README.md changelog usefulscripts/
%{_bindir}/hcxeiutool
%{_bindir}/hcxessidtool
%{_bindir}/hcxhash2cap
%{_bindir}/hcxhashcattool
%{_bindir}/hcxhashtool
%{_bindir}/hcxmactool
%{_bindir}/hcxpcapngtool
%{_bindir}/hcxpmkidtool
%{_bindir}/hcxpmktool
%{_bindir}/hcxpsktool
%{_bindir}/hcxwltool
%{_bindir}/whoismac
%{_bindir}/wlancap2wpasec
%{_mandir}/man1/*.1*


%changelog
* Fri Jul 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.2.7-1
- Initial package
